- name: webserver | nextcloud | basic tools
  package:
    state: latest
    name:
      - ca-certificates
      - apt-transport-https
      - software-properties-common
      - lsb-release
      - ca-certificates
  when: ansible_distribution in ["Debian", "Ubuntu"]

- name: webserver | nextcloud | prereq | get php repo key
  uri:
    url: "https://packages.sury.org/php/apt.gpg"
    dest: "/etc/apt/trusted.gpg.d/php.gpg"

- name: webserver | nextcloud | prereq | add php repo
  lineinfile:
    path: "/etc/apt/sources.list.d/php.list"
    state: present
    line: "deb https://packages.sury.org/php/ {{ ansible_distribution_release | lower }} main"
    create: True
  
- name: webserver | nextcloud | prereq | install php
  package:
    state: latest
    name: "{{ item.package }}"
    update_cache: True
  with_items: "{{ nextcloud_php_packages }}"